package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * 活动表
 * </p>
 *
 * @author Andy.Tan
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Schema(name="活动表对象", description="活动表")
public class BaseActive {

	@Schema(name = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

	@Schema(name = "活动code（即页面上的手输的活动id）")
    private String activeCode;

	@Schema(name = "活动名称")
    private String activeName;

	@Schema(name = "活动类型 1-utc 2-bof 3-品质信息")
    private Integer activeType;

    @Schema(name = "活动审核状态 1-待审核 2-通过 9-驳回")
    private Integer auditStatus;

	@Schema(name = "活动开始日期")
    private LocalDateTime beginTime;

	@Schema(name = "活动结束日期")
    private LocalDateTime endTime;

	@Schema(name = "品牌code")
    private String brandCode;

	@Schema(name = "子品牌code")
    private String subBrandCode;

	@Schema(name = "活动域名")
    private String activeUrl;

	@Schema(name = "创建时间")
    private LocalDateTime createTime;

	@Schema(name = "创建人id")
    private Long createBy;

	@Schema(name = "修改时间")
    private LocalDateTime updateTime;

	@Schema(name = "修改人id")
    private Long updateBy;

	@Schema(name = "是否删除")
    private Integer isDelete;



}
