package com.abi.qms.platform.dto.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author:Andy.Tan
 * @Description: 查询活动明细出参
 */
@Data
@Schema
public class GetActiveRes implements Serializable {

    @Schema(name = "id")
    private Long id;

    @Schema(name = "活动code（即页面上的手输的活动id）")
    private String activeCode;

    @Schema(name = "活动名称")
    private String activeName;

    @Schema(name = "活动类型 1-utc 2-bof 3-品质信息")
    private Integer activeType;

    @Schema(name = "活动审核状态 1-待审核 2-通过 9-驳回")
    private Integer auditStatus;

    @Schema(name = "申请人id")
    private Integer applyUserId;

    @Schema(name = "申请人姓名")
    private String applyUserName;

    @Schema(name = "审核人id")
    private Integer auditUserId;

    @Schema(name = "审核人姓名")
    private String auditUserName;

    @Schema(name = "活动开始日期")
    private LocalDateTime beginTime;

    @Schema(name = "活动结束日期")
    private LocalDateTime endTime;

    @Schema(name = "品牌code")
    private String brandCode;

    @Schema(name = "子品牌code")
    private String subBrandCode;

    @Schema(name = "活动域名")
    private String activeUrl;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

}
